package cz.moneta.test.dsl.mwf;

import java.util.Map;

public class MWFAZ6Data {

    private Map<String, Object> params;
    
    public MWFAZ6Data(Map<String, Object> params) {
        this.params = params;
    }

    public Long rsApprRsnKey() {
        return (Long) params.get("RS_APPR_RSN_KEY");
    }

    public String rsReasonCode() {
        return (String) params.get("RS_REASON_CODE");
    }

    public String rsReasonCodeValid() {
        return (String) params.get("RS_REASON_CODE_VALID");
    }

    public Long rsApproverValidFlag() {
        return (Long) params.get("RS_APPROVER_VALID_FLAG");
    }

    public Long rsDecisionPriority() {
        return (Long) params.get("RS_DECISION_PRIORITY");
    }

    public String rsReasonAddUser() {
        return (String) params.get("RS_REASON_ADD_USER");
    }

    public String rsReasonAddRoleOut() {
        return (String) params.get("RS_REASON_ADD_ROLE_OUT");
    }

    public java.util.Date rsReasonAddTime() {
        return (java.util.Date) params.get("RS_REASON_ADD_TIME");
    }

    public String rsReasonInvalUser() {
        return (String) params.get("RS_REASON_INVAL_USER");
    }

    public String rsReasonInvalRole() {
        return (String) params.get("RS_REASON_INVAL_ROLE");
    }

    public java.util.Date rsReasonInvalTime() {
        return (java.util.Date) params.get("RS_REASON_INVAL_TIME");
    }

    public String rsReasonTextInternal() {
        return (String) params.get("RS_REASON_TEXT_INTERNAL");
    }

    public String rsReasonTextExternal() {
        return (String) params.get("RS_REASON_TEXT_EXTERNAL");
    }

    public String rsReasonTextExternalCz() {
        return (String) params.get("RS_REASON_TEXT_EXTERNAL_CZ");
    }

    public String rsReasonTextExternalSk() {
        return (String) params.get("RS_REASON_TEXT_EXTERNAL_SK");
    }

    public String rsAdcReasonTextExternalCz() {
        return (String) params.get("RS_ADC_REASON_TEXT_EXTERNAL_CZ");
    }

    public String rsAdcReasonTextExternalSk() {
        return (String) params.get("RS_ADC_REASON_TEXT_EXTERNAL_SK");
    }

    public String rsReasonTextParameter1() {
        return (String) params.get("RS_REASON_TEXT_PARAMETER_1");
    }

    public String rsReasonTextParameter2() {
        return (String) params.get("RS_REASON_TEXT_PARAMETER_2");
    }

    public Long rsParameterCount() {
        return (Long) params.get("RS_PARAMETER_COUNT");
    }

    public String rsRcNum() {
        return (String) params.get("RS_RC_NUM");
    }

    public String rsReasonAddRole() {
        return (String) params.get("RS_REASON_ADD_ROLE");
    }

    public String rsFormTypeId() {
        return (String) params.get("RS_FORM_TYPE_ID");
    }

    public String rsFormItemAssignmentId() {
        return (String) params.get("RS_FORM_ITEM_ASSIGNMENT_ID");
    }

    public String rsNbsmErrorCode() {
        return (String) params.get("RS_NBSM_ERROR_CODE");
    }

    public Long rsInstCustIdOut() {
        return (Long) params.get("RS_INST_CUST_ID_OUT");
    }

    public String rsDecisionTypeOut() {
        return (String) params.get("RS_DECISION_TYPE_OUT");
    }

    public String rsMinEmpRoleInvalidate() {
        return (String) params.get("RS_MIN_EMP_ROLE_INVALIDATE");
    }

    public String rsDecisionCategory() {
        return (String) params.get("RS_DECISION_CATEGORY");
    }

    public String rsDecisionSubcategory() {
        return (String) params.get("RS_DECISION_SUBCATEGORY");
    }

    public Long rsDecisionCategoryPriority() {
        return (Long) params.get("RS_DECISION_CATEGORY_PRIORITY");
    }

    public Long rsDecisionSubcategoryPriority() {
        return (Long) params.get("RS_DECISION_SUBCATEGORY_PRIORITY");
    }

    public String rsFirstName() {
        return (String) params.get("RS_FIRST_NAME");
    }

    public String rsFamilyName() {
        return (String) params.get("RS_FAMILY_NAME");
    }

    public String rsClientAppRole() {
        return (String) params.get("RS_CLIENT_APP_ROLE");
    }

    public Long rsReasonCanBeInvalidate() {
        return (Long) params.get("RS_REASON_CAN_BE_INVALIDATE");
    }

    public String rsEmpSsoId() {
        return (String) params.get("RS_EMP_SSO_ID");
    }

    public String rsEmpRoleId() {
        return (String) params.get("RS_EMP_ROLE_ID");
    }

    public String rsEmpPositionId() {
        return (String) params.get("RS_EMP_POSITION_ID");
    }

    public String rsAppId() {
        return (String) params.get("RS_APP_ID");
    }

    public Long rsAppKeyOut() {
        return (Long) params.get("RS_APP_KEY_OUT");
    }

    public String rsReasonCorrectionType() {
        return (String) params.get("RS_REASON_CORRECTION_TYPE");
    }

    public String rsScrennFormItemAssgn() {
        return (String) params.get("RS_SCRENN_FORM_ITEM_ASSGN");
    }

    public Long rsReasonShadowFlag() {
        return (Long) params.get("RS_REASON_SHADOW_FLAG");
    } 

}
